Genesis Tweets Widget Not Working

Community Forums Forums General Discussion Genesis Tweets Widget Not Working

This topic is: not resolved

Tagged: ,

This topic contains 9 replies, has 6 voices, and was last updated by  Bill Murray 1 year, 4 months ago.

Viewing 10 posts - 1 through 10 (of 10 total)
  • Author
    Posts
  • #46528

    Jethro87
    Participant
    Post count: 2

    Hello,

    I was hoping I could get some help as to why my Genesis – Latest Tweets widget has stopped working. Right now all it shows is “about 15875 days ago”. You can see this by scrolling down at http://www.mealime.com

    Any thoughts? The only new plugin I recently installed was Fast Simple Contact Form.

    Thanks so much in advance for your help!

    Jeffrey

    http://www.mealime.com
    #46532

    rfmeier
    Participant
    Post count: 603

    Jeffrey,

    The twitter widget was using the only Twitter API, which recently was shut down. A new widget is coming soon using the new API.


    #46534

    Jethro87
    Participant
    Post count: 2

    Thanks Ryan :)

    #46585

    Bill Murray
    Participant
    Post count: 575

    According to others, Travis Smith (the developer of the Genesis Latest Tweets Widget plugin) was out of town and just got back yesterday. Yesterday, he did tweet that an update would be out before the end of the day, but that time has passed. Twitter made a number of changes in the new version of the API, the biggest of which is that version 1.1 now requires authentication. As a result, it’s more than a few minutes of work for Travis to update the plugin. For example, there’s a URL in the plugin that was used to capture tweets, and that URL changed, but the changes Travis needs to make are more extensive than just updating that URL. I’m sure it will come relatively soon, but I think it will end up being longer than some of the more optimistic projections.

    If you want to restore a Twitter feed to your site, you can use Twitter’s script directly or you can explore the Latest Tweets plugin. That plugin works with the new API and includes the OAuth authorization method for solving the authorization issue. If Travis ends up using OAuth authorization (a very reasonable method), the setup you go through to create credentials at Twitter will put you a step ahead of those who find out about this when he releases his update.

    Of course, you can just remove the widget until the plugin is updated. The internet won’t break if a few sites drop their Twitter feeds.


    Web: https://wpperform.com or Twitter: @wpperform

    We do managed WordPress hosting.

    #51674

    IanP
    Participant
    Post count: 71

    I’m seeing this again today… anybody know what’s happening with that widget and when it will be fixed?

    Thank you

    #51737

    Bill Murray
    Participant
    Post count: 575

    2 things could be going on here:

    1) The recent update to version 1.2.1 changed the name of the script, so make sure that you are on the latest version and the plugin is still activated.

    2) Visit the plugin’s settings page and save your settings a couple of times. Then refresh the page where you are displaying tweets, making sure to bypass any caches you have.

    The plugin works fine, as you can see here.


    Web: https://wpperform.com or Twitter: @wpperform

    We do managed WordPress hosting.

    #51746

    AC
    Blocked
    Post count: 7712

    I switched to the Latest Tweets by Tim Whitlock which was recommended to me on Twitter by Travis. You have to create an APP for it to work – https://dev.twitter.com/apps. Install Latest Tweets – then look under Settings for Twitter API. A screen will come up with fields you need to complete. You get that information by creating the app here – https://dev.twitter.com/apps. Get what’s needed, enter, save and it will work.

    #52206

    IanP
    Participant
    Post count: 71

    @ Bill Murray

    Quote – Bill Murray
    2 things could be going on here:

    1) The recent update to version 1.2.1 changed the name of the script, so make sure that you are on the latest version and the plugin is still activated.

    2) Visit the plugin’s settings page and save your settings a couple of times. Then refresh the page where you are displaying tweets, making sure to bypass any caches you have.

    The plugin works fine, as you can see here.
    < / quote >

    Thanks Bill. Point 2 did the job.

    Cheers.
    Ian

    #53106

    btstudio
    Participant
    Post count: 5

    I have version 1.2.1 installed and have refreshed several times, but can’t get my Genesis Latest Tweets widget to work. I’m getting the following error:

    Twitter Exception Message: There are no HTTP transports available which can complete the requested request.

    • This reply was modified 1 year, 4 months ago by  btstudio.
    • This reply was modified 1 year, 4 months ago by  btstudio.
    #53109

    Bill Murray
    Participant
    Post count: 575

    Here are a few likely causes of your problem:

    1) Bad server setup. You need at least 1 HTTP transfer that supports SSL because the Oauth authentication requires SSL. This is not a problem with the GLTW per se, because any Twitter widget that requires Oauth will face the same situation, and Twitter no longer allows other methods of authentication. To resolve it, check with your host or change to one that supports what you need.

    2) curl not being installed or installed but disabled. Check your php.ini file. If you’re not familiar with what curl is, check with your host.


    Web: https://wpperform.com or Twitter: @wpperform

    We do managed WordPress hosting.

Viewing 10 posts - 1 through 10 (of 10 total)

You must be logged in to reply to this topic.